import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsSegmentDto";
import { UploadStatisticsMimeRecord } from "../../../../statistics/storage/dtos/shared/UploadStatisticsMimeRecord";
import { StorageStatisticsByTimeDto, StorageStatisticsByTimeUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsByTimeDto";
import { StorageStatisticsBySourceDto, StorageStatisticsBySourceUnboxedDto } from "../../../../statistics/storage/dtos/shared/StorageStatisticsBySourceDto";
export interface UploadStatisticsDto {
    all: StorageStatisticsSegmentDto;
    byMime: UploadStatisticsMimeRecord<StorageStatisticsSegmentDto>;
    bySource: StorageStatisticsBySourceDto | undefined;
    byTime: StorageStatisticsByTimeDto;
}
export interface UploadStatisticsUnboxedDto {
    all: StorageStatisticsSegmentUnboxedDto;
    byMime: UploadStatisticsMimeRecord<StorageStatisticsSegmentUnboxedDto>;
    bySource: StorageStatisticsBySourceUnboxedDto | null;
    byTime: StorageStatisticsByTimeUnboxedDto;
}
export declare namespace UploadStatisticsDto {
    const empty: UploadStatisticsDto;
    function combine(left: UploadStatisticsDto, right: UploadStatisticsDto): UploadStatisticsDto;
}
